# Class Nmr

java.lang.Object
org.openscience.jmol.app.JmolApp
org.openscience.jmol.app.janocchio.Nmr

All Implemented Interfaces:
  `JmolAppAPI`

public class Nmr extends JmolApp

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`path`
`static final String`
`VERSION`

### Fields inherited from class JmolApp

`autoAnimationDelay, haveBorder, haveDisplay, haveJavaConsole, historyFile, info, isDataOnly, isKiosk, isPrintOnly, isSilent, jmolPosition, pluginFile, port, splashEnabled, startupHeight, startupWidth, userPropsFile`

## Constructor Summary

Constructors
Constructor
Description
`Nmr(String[] args)`
`Nmr(String[] args, NmrPlugin plugin)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPlugin()`
`static void`
`main(String[] args)`

### Methods inherited from class JmolApp

`addHistoryWindowDimInfo, addHistoryWindowInfo, getHistoryWindowPosition, getHistoryWindowSize, parseCommandLine, startViewer`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VERSION

public static final String VERSION

See Also:
  - Constant Field Values

### path

public static String path

## Constructor Details

### Nmr

public Nmr(String[] args, NmrPlugin plugin)

### Nmr

public Nmr(String[] args)

## Method Details

### isPlugin

public boolean isPlugin()

### main

public static void main(String[] args)